<ng-container *transloco="let t">
  <p
    class="manga-description"
    [class.manga-description--collapsed]="animationState() === 'collapsed'"
    [@expandDescription]="animationState()">
    {{ manga().description }}
  </p>

  @if (isSmallScreen()) {
    <button mat-stroked-button class="expand-button" (click)="toggleDescription()">
      <mat-icon>{{ expandButtonParams().icon }}</mat-icon>
      {{ t(expandButtonParams().text) }}
    </button>
  }
</ng-container>
